Loja
Atualizar loja
Atualiza o cadastro da loja e o webhook que recebe as mudanças de status dos cards.
POST
/manager/store/updateAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/store/update" \ -H "Content-Type: application/json" \ -d '{ "name": "Loja Exemplo Comércio LTDA", "trademark": "Loja Exemplo", "contact_tel": "4832000000", "city": "Florianópolis", "uf": "SC", "disctrict": "Centro", "address": "Rua Exemplo, 100", "zip_code": "88010000", "webhookUrl": { "url": "https://erp.exemplo.com.br/smarttef/callback", "authorization_token": "Bearer chave-do-erp" } }'[]{
"status": 400,
"data": {
"message": [
{
"code": "too_small",
"minimum": 5,
"message": "Name must be at least 5 characters",
"path": [
"name"
]
},
{
"code": "too_small",
"minimum": 1,
"message": "City is required",
"path": [
"city"
]
}
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/update"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/update"
}
}{
"status": 404,
"data": {
"message": "Store not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/update"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/store/update"
}
}